> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish Flow Details

> Interface description: Get publishing flow aggregation information based on flowId



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/flows/{flowId}
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/v2/channels/publish/flows/{flowId}:
    get:
      tags:
        - Channel Management/Publishing
      summary: Publish Flow Details
      description: >-
        Interface description: Get publishing flow aggregation information based
        on flowId
      operationId: PublishFlowController_getFlow_v2
      parameters:
        - name: flowId
          in: path
          description: Post Flow ID
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChannelPublishFlowVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      flowId: string
                      tasks:
                        - id: string
                          accountId: string
                          platform: douyin
                          status: -1
                          publishTime: '2026-07-02T12:00:00.000Z'
                          platformWorkId: string
                          workLink: string
                          linkStatus: pending
                          linkError: string
                          linkMeta: {}
                          errorMsg: string
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                publishFlowNotFound15050:
                  summary: PublishFlowNotFound (15050)
                  value:
                    code: 15050
                    message: Release process not found
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ChannelPublishFlowVo:
      type: object
      properties:
        flowId:
          type: string
          description: Post Flow ID
        tasks:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Post task ID
              accountId:
                type: string
                description: Account ID
              platform:
                type: string
                enum:
                  - douyin
                  - xhs
                  - wxSph
                  - KWAI
                  - youtube
                  - wxGzh
                  - bilibili
                  - twitter
                  - tiktok
                  - facebook
                  - instagram
                  - threads
                  - pinterest
                  - linkedin
                  - google_business
                description: platform
              status:
                description: Release status
                type: number
                enum:
                  - -1
                  - 0
                  - 1
                  - 2
                  - 3
                  - 4
                  - 5
                  - 6
                  - 7
                  - 8
                  - 9
              publishTime:
                description: Release time
                type: string
                format: date-time
              platformWorkId:
                description: Platform work ID
                type: string
              workLink:
                description: Work link
                type: string
              linkStatus:
                description: Work link status
                type: string
                enum:
                  - pending
                  - ready
                  - failed
              linkError:
                description: Error getting link to work
                type: string
              linkMeta:
                description: Work link extension information
                type: object
                additionalProperties: true
                properties: {}
              errorMsg:
                description: error message
                type: string
            required:
              - id
              - accountId
              - platform
          description: Post a task list
      required:
        - flowId
        - tasks
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````